①  Academic publications:
   Peer reviewed conference or journal papers:

C. Artho, K. Suzaki, R. di Cosmo, R. Treinen, S. Zacchiroli. Why Do Software Packages Conflict? 9th Working Conference on Mining Software Repositories, June 2012, Zurich, Switzerland.

L. Fang, T. Kitamura, N. Do, H. Ohsaki. Formal Model-Based Test for AUTOSAR Multicore RTOS. Proc. IEEE Int. Conf. on Software Testing, Verification and Validation (ICST), pp. 251–259, 2012.

K. Suzaki, K. Iijima, T. Yagi, C. Artho. Effects of Memory Randomization, Sanitization and Page Cache on Memory Deduplication. 5th European Workshop on System Security (EuroSec), 2012.

I. Andjelkovic, C. Artho. Trace Server: A Tool for Storing, Querying and Analyzing Execution Traces. JPF Workshop, 2011.

W. Leungwattanakit, C. Artho, M. Hagiya, Y. Tanabe, M. Yamamoto. Model Checking Distributed Systems by Combining Caching and Process Checkpointing. Proc. 26th Int. Conf. on Automated Software Engineering, pp. 166–175, 2011.

C. Artho, K. Suzaki, R. di Cosmo, S. Zacchiroli. Sources of Inter-package Conflicts in Debian. Workshop on Logics for Component Configuration (LoCoCo), short paper, 2011.

K. Suzaki, K. Iijima, T. Yagi, C. Artho. Memory Deduplication as a Threat to the Guest OS. European Workshop on System Security (EuroSec), 2011.

K. Suzaki, K. Iijima, T. Yagi, C. Artho, Y. Watanabe. Effect of Disk Prefetching of Guest OS on Storage Deduplication. Workshop on Runtime Environments/Systems, Layering, and Virtualized Environments (RESoLVE), 2011.

C. Artho. Iterative Delta Debugging. Int. Journal on Software Tools for Technology Transfer (STTT), 13(3). Springer, pp. 223–246, 2011.

T. Kitamura, K. Okamoto, M. Takeyama. Formal Validation and Requirements Management Based on the Jackson's Reference Model for Requirements and Specifications. Proc. 16th IEEE Pacific Rim Int. Symposium on Dependable Computing (PRDC). IEEE Computer Society Press, pp. 251–252, 2010.

C. Artho. Run-time Verification of Networked Software. Proc. Conf. on Runtime Verification, pp. 59–73, 2010.

C. Artho, W. Leungwattanakit, M. Hagiya, Y. Tanabe, M. Yamamoto. Model Checking of Concurrent Algorithms: From Java to C. Proc. Conf. on Distributed and Parallel Embedded Systems, pp. 90–101, 2010.

K. Suzaki, T. Yagi, K. Iijima, A. Nguyen, C. Artho, Y. Watanabe. Moving from logical sharing of guest OS to physical sharing of deduplication on virtual machine. HotSec 2010, 2010.

C. Artho. Separation of Transitions, Actions, and Exceptions in Model-based Testing. Eurocast 2009 post-proceedings, Springer, LNCS vol. 5717, pp. 279–286, 2009.


C. Artho, W. Leungwattanakit, M. Hagiya, Y. Tanabe, M. Yamamoto. Cache-based Model Checking of Networked Applications: From Linear to Branching Time. Proc. Int. Conf. on Automated Software Engineering. IEEE, pp. 447–458, 2009.

C. Artho, Y. Oiwa, K. Suzaki, M. Hagiya. Extraction of properties in C implementations of security APIs for verification of Java applications. Proc. Int. Workshop on Analysis of Security APIs, 2009.

W. Leungwattanakit, C. Artho, M. Hagiya, Y. Tanabe, M. Yamamoto. Verifying Networked Programs Using a Model Checker Extension. Proc. Int. Conf. on Software Engineering, Companion Volume. IEEE, pp. 409–410, 2009.

W. Leungwattanakit, C. Artho, M. Hagiya, Y. Tanabe, M. Yamamoto. Introduction of Virtualization Technology to Networked Model Checking. Proc. NASA Formal Methods Symposium. NASA, pp. 106–110, 2009.

C. Artho. Separation of Transitions, Actions, and Exceptions in Model-based Testing. Proc. Eurocast 2009. University of Las Palmas, pp. 95–96, 2009.

C. Artho. Iterative Delta Debugging. Proc. Haifa Verification Conference 2008. Springer, LNCS vol. 5394, pp. 99–113, 2008.

K. Suzaki, K. Iijima, T. Yagi, N. Quynh. Trusted Boot and Platform Trust Services on 1CD Linux. 3rd Asia-Pacific Trusted Infrastructure Technologies Conference, 2008.

C. Artho, W. Leungwattanakit, M. Hagiya, Y. Tanabe. Architecture-aware Partial Order Reduction to Accelerate Model Checking of Networked Programs. Proc. Int. Conf. on Software Engineering, Artificial Intelligence, Networking, and Parallel/Distributed Computing. IEEE, pp. 807–813, 2008.

C. Artho, W. Leungwattanakit, M. Hagiya, Y. Tanabe. Tools and Techniques for Model Checking Networked Programs. Proc. Int. Conf. on Software Engineering, Artificial Intelligence, Networking, and Parallel/Distributed Computing. IEEE, pp. 852–857, 2008.

T. Kitamura, H. Lin. Specifying properties for Modular Pi-calculus. Proc. 2nd IEEE Int. Symposium on Theoretical Aspects of Software Engineering (TASE), pp. 201–208, 2008.

C. Artho, W. Leungwattanakit, M. Hagiya, Y. Tanabe. Efficient Model Checking of Networked Applications. Proc. Int. Conf. on Objects, Models, Components, Patterns. Springer, LNBIP vol. 11, pp. 22–40, 2008.

C. Artho, W. Leungwattanakit, M. Hagiya, Y. Tanabe. Efficient Model Checking of Applications with Input/Output. Post-proceedings Eurocast 2007. Springer, LNCS vol. 4739, pp. 515–522, 2007.

T. Kitamura, H. Lin. Controlling process modularity in mobile computing. Proc. 4th Int. Colloquium on Theoretical Aspects of Computing (ICTAC), Springer, LNCS vol. 4711, pp 246–259, 2007.

C. Artho, A. Biere, S. Honiden. Exhaustive Testing of Exception Handlers with Enforcer. Post-proceedings Int.  Symp. on Formal Methods for Components and Objects. Springer, LNCS vol. 4709, pp. 26–46, 2007.

K. Suzaki, T. Yagi, K. Iijima, N. Quynh. OS Circular: Internet Client for Reference, 21st Large Installation System Administration Conference (USENIX LISA), 2007.


Non-reviewed publications:

K. Suzaki, K. Iijima, T. Yagi, C. Artho. Software Side Channel Attack on Memory Deduplication. Poster session of ACM Symposium on Operating Systems Principles, 2011.

C. Artho, W. Leungwattanakit, M. Hagiya, E. Platon, Y. Tanabe, M. Yamamoto. Cache-based Model Checking of Networked Software. Proc. Workshop on Dependability of Network Software Applications, 2010.


Non-academic publications:

K. Suzaki, K. Iijima, T. Yagi, C. Artho. Analyze Disk Access Pattern of File Systems for Content Addressable Storage. Linux Symposium, 2011.

K. Suzaki, K. Iijima, T. Yagi, N. Quynh, C. Artho, Y. Watanabe. Rethink Package Components on De-Duplication: From Logical Sharing to Physical Sharing. LinuxCon Japan, 2010.

N. Quynh, K. Suzaki, "Virt-ICE: next generation
debugger for malware analysis", BlackHat USA, 2010.

K. Suzaki, K. Iijima, T. Yagi, N. Quynh, 
Y. Watanabe, "Effect of readahead and file system block
reallocation for LBCAS (LoopBack Content Addressable Storage)", Linux
Symposium, 2009.
